Debian Bug report logs - #595262
fails on bugscripts that look for not installed packages

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Thu, 2 Sep 2010 15:30:01 UTC

Severity: minor

Fixed in versions live-boot/2.0.3-1, live-boot/3.0~a4-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#595262; Package live-boot. (Thu, 02 Sep 2010 15:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 02 Sep 2010 15:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Broken reportbug hook (assumes usplash?)
Date: Fri, 03 Sep 2010 01:26:48 +1000
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 2.0.1-1
Severity: minor
File: /usr/share/bug/live-boot/script

reportbug borked trying to run /usr/share/bug/live-boot/script, I
guess because I don't have usplash installed.  A screenshot is
attached.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35 (SMP w/2 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-boot depends on:
ii  live-boot-initramfs-tools [li 2.0.1-1    Debian Live - System Boot Scripts 

Versions of packages live-boot recommends:
ii  eject           2.1.5+deb1+cvs20081104-7 ejects CDs and operates CD-Changer
ii  file            5.04-5                   Determines file type using "magic"
ii  rsync           3.0.7-2                  fast remote file copy program (lik
ii  uuid-runtime    2.17.2-3.1               runtime components for the Univers

Versions of packages live-boot suggests:
pn  cryptsetup                    <none>     (no description available)
pn  curlftpfs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  unionfs-fuse                  <none>     (no description available)
ii  wget                          1.12-2     retrieves files from the web

-- no debconf information
[hardcopy.5 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#595262; Package live-boot. (Thu, 02 Sep 2010 15:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 02 Sep 2010 15:57:02 GMT) Full text and rfc822 format available.

Message #10 received at 595262@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Trent W. Buck" <trentbuck@gmail.com>
Cc: 595262@bugs.debian.org
Subject: Re: Bug#595262: Broken reportbug hook (assumes usplash?)
Date: Thu, 02 Sep 2010 17:52:43 +0200
reassign 595262 reportbug
retitle 595262 fails on bugscripts that look for not installed packages
thanks

On 09/02/2010 05:26 PM, Trent W. Buck wrote:
> I guess because I don't have usplash installed.

if so, then it's a bug in reportbug, it should not fail on packages
which are not installed, reassigning.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reassigned from package 'live-boot' to 'reportbug'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 02 Sep 2010 15:57:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-boot/2.0.1-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 02 Sep 2010 15:57:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'fails on bugscripts that look for not installed packages' from 'Broken reportbug hook (assumes usplash?)' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 02 Sep 2010 15:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#595262; Package reportbug. (Thu, 02 Sep 2010 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. (Thu, 02 Sep 2010 17:15:03 GMT) Full text and rfc822 format available.

Message #21 received at 595262@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: daniel@debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>, Debian Live Project <debian-live@lists.debian.org>, control@bugs.debian.org, 595262@bugs.debian.org
Subject: Re: Processed: Re: Bug#595262: Broken reportbug hook (assumes usplash?)
Date: Thu, 2 Sep 2010 19:11:31 +0200
reassign 595262 live-boot
thanks

On Thu, Sep 2, 2010 at 17:57, Debian Bug Tracking System
<owner@bugs.debian.org> wrote:
> Processing commands for control@bugs.debian.org:
>
>> reassign 595262 reportbug
> Bug #595262 [live-boot] Broken reportbug hook (assumes usplash?)
> Bug reassigned from package 'live-boot' to 'reportbug'.
> Bug No longer marked as found in versions live-boot/2.0.1-1.
>> retitle 595262 fails on bugscripts that look for not installed packages
> Bug #595262 [reportbug] Broken reportbug hook (assumes usplash?)
> Changed Bug title to 'fails on bugscripts that look for not installed packages' from 'Broken reportbug hook (assumes usplash?)'

The problem is that /usr/share/bug/live-boot/script exists with a
non-0 return code, hence the warning. Fix your bug script to don't
bomb if usplash (or whatever it) is missing, so none of my business.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Bug reassigned from package 'reportbug' to 'live-boot'. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Thu, 02 Sep 2010 17:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#595262; Package live-boot. (Thu, 02 Sep 2010 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 02 Sep 2010 17:21:04 GMT) Full text and rfc822 format available.

Message #28 received at 595262@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Sandro Tosi <morph@debian.org>
Cc: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>, Debian Live Project <debian-live@lists.debian.org>, 595262@bugs.debian.org
Subject: Re: Processed: Re: Bug#595262: Broken reportbug hook (assumes usplash?)
Date: Thu, 02 Sep 2010 19:15:38 +0200
tag 595262 pending
thanks

On 09/02/2010 07:11 PM, Sandro Tosi wrote:
> The problem is that /usr/share/bug/live-boot/script exists with a
> non-0 return code, hence the warning. Fix your bug script to don't
> bomb if usplash (or whatever it) is missing, so none of my business.

stupid, but fixed in git then.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#595262; Package live-boot. (Thu, 02 Sep 2010 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 02 Sep 2010 17:21:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 02 Sep 2010 17:21:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 02 Sep 2010 21:06:16 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Thu, 02 Sep 2010 21:06:16 GMT) Full text and rfc822 format available.

Message #40 received at 595262-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 595262-close@bugs.debian.org
Subject: Bug#595262: fixed in live-boot 2.0.3-1
Date: Thu, 02 Sep 2010 21:02:58 +0000
Source: live-boot
Source-Version: 2.0.3-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_2.0.3-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_2.0.3-1_all.deb
live-boot_2.0.3-1.diff.gz
  to main/l/live-boot/live-boot_2.0.3-1.diff.gz
live-boot_2.0.3-1.dsc
  to main/l/live-boot/live-boot_2.0.3-1.dsc
live-boot_2.0.3-1_all.deb
  to main/l/live-boot/live-boot_2.0.3-1_all.deb
live-boot_2.0.3.orig.tar.gz
  to main/l/live-boot/live-boot_2.0.3.orig.tar.gz
live-initramfs_2.0.3-1_all.deb
  to main/l/live-boot/live-initramfs_2.0.3-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595262@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Sep 2010 22:43:03 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools live-initramfs
Architecture: source all
Version: 2.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
 live-initramfs - Debian Live - System Boot Scripts (transitional package)
Closes: 595262
Changes: 
 live-boot (2.0.3-1) unstable; urgency=low
 .
   * Exiting with 0 in live-boot bug script (Closes: #595262).
   * Using boot.d instead of boot.conf.d as directory name for custom
     configuration files.
Checksums-Sha1: 
 5cf8a48176cd237216aa17c83644ec1340250b43 1232 live-boot_2.0.3-1.dsc
 7c09b41df45795f0025a607b0f0b6ee3105cd989 105910 live-boot_2.0.3.orig.tar.gz
 9bdf18c7ced9cc7df023d9721bbe3b301f9b41db 17206 live-boot_2.0.3-1.diff.gz
 82c3da2228c6e9cfd6fb0279d43d327586dd70d2 74964 live-boot_2.0.3-1_all.deb
 4f6ae7bf54c0eae7e483dfea8d7712b956afe3c8 28226 live-boot-initramfs-tools_2.0.3-1_all.deb
 c5a54e938d749a5011de181cde7596e5e77953ff 4040 live-initramfs_2.0.3-1_all.deb
Checksums-Sha256: 
 83e27db7029d35ef25103f1beed52b519864bce43d63265227e6922eaefe6299 1232 live-boot_2.0.3-1.dsc
 972bbc381b8369e389957d2640998fd5cfff305abc3a4fe78542539bed117079 105910 live-boot_2.0.3.orig.tar.gz
 648c35bf9eacc08c45542f94553995b6c00a02311eb8b69ee9ffbca403924e97 17206 live-boot_2.0.3-1.diff.gz
 8d7815d6d7daef192fe5652db3df0eaeca87b1987c9fdd6b3a2635a1a2065a83 74964 live-boot_2.0.3-1_all.deb
 a57b64b89910e5c2efb6ada1adf1d0c85f90c87d31f410e00cbf7463c8ff0280 28226 live-boot-initramfs-tools_2.0.3-1_all.deb
 67a1ea6998440b5e55d77f47c645ca786fe1ce9066f15714f5cc08000c81ffd9 4040 live-initramfs_2.0.3-1_all.deb
Files: 
 8df50f1d10c700ff40d4e7fb96ed108d 1232 misc optional live-boot_2.0.3-1.dsc
 dc354d72439049471714092c290eacc9 105910 misc optional live-boot_2.0.3.orig.tar.gz
 94cdfceb4f3c041f0a8754a91cd07e53 17206 misc optional live-boot_2.0.3-1.diff.gz
 254ae2971df2590c7c2a3319022dbb7c 74964 misc optional live-boot_2.0.3-1_all.deb
 39e1e97c39fa44d76d8a2790c224633b 28226 misc optional live-boot-initramfs-tools_2.0.3-1_all.deb
 547f834f2d68261947e2b44022466a81 4040 misc optional live-initramfs_2.0.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEUEARECAAYFAkyADTEACgkQ+C5cwEsrK57ZkgCWKBOX8Qu3qNd5lhSGWlBQUfdQ
fwCgg/uVUGBhKQCD1r1uWFdKAJYjJes=
=5WPv
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 02 Sep 2010 21:06:19 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Thu, 02 Sep 2010 21:06:19 GMT) Full text and rfc822 format available.

Message #45 received at 595262-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 595262-close@bugs.debian.org
Subject: Bug#595262: fixed in live-boot 3.0~a4-1
Date: Thu, 02 Sep 2010 21:03:05 +0000
Source: live-boot
Source-Version: 3.0~a4-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_3.0~a4-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a4-1_all.deb
live-boot_3.0~a4-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a4-1.debian.tar.gz
live-boot_3.0~a4-1.dsc
  to main/l/live-boot/live-boot_3.0~a4-1.dsc
live-boot_3.0~a4-1_all.deb
  to main/l/live-boot/live-boot_3.0~a4-1_all.deb
live-boot_3.0~a4.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595262@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Sep 2010 22:46:45 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a4-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 595262
Changes: 
 live-boot (3.0~a4-1) experimental; urgency=low
 .
   * Exiting with 0 in live-boot bug script (Closes: #595262).
   * Using boot.d instead of boot.conf.d as directory name for custom
     configuration files.
Checksums-Sha1: 
 0e95ad2ed0757dbd20b77a364e52c0977b7a9d43 1249 live-boot_3.0~a4-1.dsc
 090c25538a83be653da8a1ab2e747149025ea037 103882 live-boot_3.0~a4.orig.tar.gz
 e785d3bb6b5256fd1e11dd734169c9e2ecef78fb 17675 live-boot_3.0~a4-1.debian.tar.gz
 655741e47570b27a9d709c0aefae2fdacf00d77d 74300 live-boot_3.0~a4-1_all.deb
 2d7bea397a8ab4f5fbe2a5dab645d250d552a572 28742 live-boot-initramfs-tools_3.0~a4-1_all.deb
Checksums-Sha256: 
 e7035e48b92c3c759ca2191b192ad9a6c74181a1c477a2760ea1248e58fd3504 1249 live-boot_3.0~a4-1.dsc
 042a045ea5b63ad9deb104fb1fb45d41d30f9a8ce43dbeedec2d4fa47079a8f5 103882 live-boot_3.0~a4.orig.tar.gz
 b29c6bab08752054c1de508b759e24f81d76cc587d75f4b3c2e50ff3c4b3055f 17675 live-boot_3.0~a4-1.debian.tar.gz
 7779b388db14a6ab0980e90f22972256f7ee5dc3864cf1361b7a9fae4d2cff13 74300 live-boot_3.0~a4-1_all.deb
 f5f5f35223b6840cda53e037fa8b430c86610919d6977a8e9d846decdb9f782a 28742 live-boot-initramfs-tools_3.0~a4-1_all.deb
Files: 
 5a6f66e95f5b2170590c8993f75c8581 1249 misc optional live-boot_3.0~a4-1.dsc
 981326978e0353bf4f284581e057c400 103882 misc optional live-boot_3.0~a4.orig.tar.gz
 1e3ebd0358f268cf07d7095412b94ad2 17675 misc optional live-boot_3.0~a4-1.debian.tar.gz
 bd40e50a2e17d93cd4153fd56004f458 74300 misc optional live-boot_3.0~a4-1_all.deb
 0325feadc6004096162b1eda7cdbe25a 28742 misc optional live-boot-initramfs-tools_3.0~a4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyADcMACgkQ+C5cwEsrK55a+QCfT/1BCrW268KiVnYTDK5w4fNd
pRAAoJM8Fvmt1Lbw6xB8ArML4OM1yH14
=drZp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Oct 2010 07:35:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:56:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.